SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                ANAG                                  ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/anag.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                         DATE/TIME INFO                               ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SELECT

    CURRENT_DATE,

    CURRENT_TIME,

    CURRENT_TIMESTAMP

FROM RDB$DATABASE;  -- noqa: LXR, PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                PAGHE                                 ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/paghe.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



-- Voci per assenza MD1

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, FIGURATIVO, RECALC, NASCOSTO, NOTE, CUSTOM, TFRALIQUOTA, RIFASSENZA, GRUPPO) VALUES ('1595', '15', '2', '0', NULL, NULL, NULL, 'Assenza per congedo straordinario di cui all’articolo 42, comma 5, del D.lgs. n. 151/2001', 'Assenza congedo art 42, comma 5 D.lgs. n. 151/2001', NULL, NULL, '0', NULL, NULL, NULL, NULL, '1', NULL, '0', NULL, NULL, NULL, NULL, NULL, '1', '0', '0', NULL, '1', '1', NULL, '0', '0.000000', NULL, NULL);

COMMIT WORK; -- skip error

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, FIGURATIVO, RECALC, NASCOSTO, NOTE, CUSTOM, TFRALIQUOTA, RIFASSENZA, GRUPPO) VALUES ('1596', '15', '3', '0', NULL, NULL, NULL, 'Assenza per congedo straordinario di cui all’articolo 42, comma 5, del D.lgs. n. 151/2001', 'Assenza congedo art 42, comma 5 D.lgs. n. 151/2001', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '0', '0', NULL, '1', '1', NULL, '0', NULL, NULL, NULL);

COMMIT WORK; -- skip error

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, FIGURATIVO, RECALC, NASCOSTO, NOTE, CUSTOM, TFRALIQUOTA, RIFASSENZA, GRUPPO) VALUES ('1597', '15', '1', '0', NULL, NULL, NULL, 'Indennità Inps congedo straordinario di cui all’articolo 42, comma 5, del D.lgs. n. 151/2001', 'Indennità Inps congedo art 42, comma 5 D.lgs. n. 151/2001', NULL, NULL, '1', NULL, NULL, '0', NULL, '0', '0', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, '0', NULL, '1', NULL);

COMMIT WORK; -- skip error

-- END Voci per assenza MD1



-- Apprendistato dettaglio 118

---- Richiesto da Cavarra (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=13717)

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('118', '4', 'APPB', '1', '12', '0.700000', NULL, NULL);

COMMIT WORK; -- skip error

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('118', '4', 'APPB', '13', '24', '0.800000', NULL, NULL);

COMMIT WORK; -- skip error

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('118', '4', 'APPB', '25', '36', '0.900000', NULL, NULL);

COMMIT WORK; -- skip error

-- END Apprendistato dettaglio 118



-- Limite minimo decontribuzione



ALTER TABLE INPS_ALIQUOTAADDIZ DROP LIMITEIMPONIBILE;

COMMIT;

ALTER TABLE INPS_ALIQUOTAADDIZ ADD IMPONIBILEMIN Currency;

COMMIT;

ALTER TABLE INPS_ALIQUOTAADDIZ ADD IMPONIBILEMAX Currency;

COMMIT;



UPDATE INPS_ALIQUOTAADDIZ SET IMPONIBILEMIN = '0.00', IMPONIBILEMAX = '2692.00' WHERE IDALIQUOTAADDIZ = '2'; -- Decontribuzione 0,8 %

UPDATE INPS_ALIQUOTAADDIZ SET IMPONIBILEMIN = '1923.01', IMPONIBILEMAX = '2692.00' WHERE IDALIQUOTAADDIZ = '3'; -- Decontribuzione 2 %

UPDATE INPS_ALIQUOTAADDIZ SET IMPONIBILEMIN = '0.00', IMPONIBILEMAX = '1923.00' WHERE IDALIQUOTAADDIZ = '11'; -- Decontribuzione 3 %

UPDATE INPS_ALIQUOTAADDIZ SET IMPONIBILEMIN = '1923.01', IMPONIBILEMAX = '2692.00' WHERE IDALIQUOTAADDIZ = '12'; -- Decontribuzione 6 %

UPDATE INPS_ALIQUOTAADDIZ SET IMPONIBILEMIN = '0.00', IMPONIBILEMAX = '1923.00' WHERE IDALIQUOTAADDIZ = '13'; -- Decontribuzione 7 %

COMMIT;



-- END Limite minimo decontribuzione



-- Uniemens 4.20.1 del 31 luglio 2023



INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('M047', 'Restituzione Congedo Parentale indennizzato al 30%. Messaggio n. 2788/2023.', NULL, NULL, '1', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('NE23', 'Incentivo Occupazione NEET 2023 articolo 27, D.L. n.48/2023 convertito dalla legge n. 85/2023. Circolare n. 68/2023.', NULL, NULL, '1', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('NC23', 'Incentivo Occupazione NEET 2023 articolo 27, D.L. n.48/2023 convertito dalla legge n. 85/2023 - in cumulo con altri incentivi. Circolare n. 68/2023.', NULL, NULL, '1', NULL, NULL);

COMMIT WORK;



INSERT INTO CONGCIGSALTCAUS (IDCAUSALE, DESCRIZIONE) VALUES ('L141', 'Conguaglio ulteriori settimane CIGS D.Lgs. n. 75/2023 art. 42. Utilizzabile a seguito di pubblicazione del relativo messaggio/circolare.');

COMMIT WORK;



INSERT INTO CONGCIGSCAUSADD (IDCAUSALE, DESCRIZIONE) VALUES ('E612', 'Ctr. addizionale CIG straordinaria D.Lgs. n. 75/2023 art. 42. Utilizzabile a seguito di pubblicazione del relativo messaggio/circolare.');

COMMIT WORK;



INSERT INTO PA_TIPORECUPERO (IDTIPORECUPERO, DESCRIZIONE) VALUES ('55', 'Incentivo Occupazione NEET 2023 articolo 27, D.L. n.48/2023 convertito dalla legge n. 85/2023 – Circolare n. 68 del 21/07/2023.');

INSERT INTO PA_TIPORECUPERO (IDTIPORECUPERO, DESCRIZIONE) VALUES ('56', 'Incentivo Occupazione NEET 2023 articolo 27, D.L. n.48/2023 convertito dalla legge n. 85/2023 - Cumulo con altri incentivi – Circolare n. 68 del 21/07/2023.');

COMMIT WORK;



INSERT INTO DMAG_TIPOAGEVOLAZ (IDTIPOAGEVOLAZ, DESCRIZIONE) VALUES ('NC', 'Incentivo Occupazione NEET 2023 articolo 27, D.L. n.48/2023 convertito dalla legge n. 85/2023- in cumulo con altri incentivi. Circolare n. 68/2023.');

COMMIT WORK;



UPDATE DMAG_TIPOAGEVOLAZ SET DESCRIZIONE = 'Incentivo Occupazione NEET 2023 articolo 27, D.L. n.48/2023 convertito dalla legge n. 85/2023. Circolare n. 68/2023.' WHERE IDTIPOAGEVOLAZ = 'NT';

COMMIT WORK;



---- contratti cnel

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'D411', DESCRIZIONE = 'CCNL per il personale addetto ai retifici meccanici da pesca', IDCNELSETTORE = 'D', CONTRAENTIDATORIALI = 'FEDERPESCA CONFINDUSTRIA', CONTRAENTISINDACALI = 'FEMCA CISL; FILCTEM CGIL; UILTEC UIL', VALIDOAL = '2023-07-01' WHERE IDCNELCONTRATTO = 'D411';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'E07D', DESCRIZIONE = 'CCNL per il personale dipendente delle micro, piccole e medie imprese dei settori di pesca, acquacoltura e maricoltura ispirato ai principi della Blue Economy sotto qualsiasi forma giuridica costituita compresa la forma cooperativa', IDCNELSETTORE = 'E', CONTRAENTIDATORIALI = 'UNIMPRESA; UNIMPRESA Pesca; UNIAP', CONTRAENTISINDACALI = 'CONFAIL; UPLA CONFCONTRIBUENTI', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'E07D';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'F051', DESCRIZIONE = 'CCNL Legno, Sughero, Mobile, Arredamento e Boschivi e Forestali', IDCNELSETTORE = 'F', CONTRAENTIDATORIALI = 'FEDERLEGNOARREDO', CONTRAENTISINDACALI = 'FENEAL UIL; FILCA CISL; FILLEA CGIL (in firma separata UGL COSTRUZIONI)', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'F051';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'F08D', DESCRIZIONE = 'CCNL per i dipendenti delle imprese edili artigiane e delle piccole e medie imprese industriali edili e affini', IDCNELSETTORE = 'F', CONTRAENTIDATORIALI = 'UNIMPRESA; UNIMPRESA Edilizia; UNIAP', CONTRAENTISINDACALI = 'CONFAIL; UPLA CONFCONTRIBUENTI', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'F08D';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'G091', DESCRIZIONE = 'CCNL per i dipendenti di imprese radio televisive, multimediali e multipiattaforma', IDCNELSETTORE = 'G', CONTRAENTIDATORIALI = 'CONFINDUSTRIA RADIOTELEVISIONI; ANICA; RNA', CONTRAENTISINDACALI = 'SLC CGIL; FISTEL CISL; UILCOM UIL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'G091';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H04G', DESCRIZIONE = 'CCNL per i dipendenti delle aziende di animazione, spettacolo, contatto, miniclub, babysitting, ludoteche e sport', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'FEDERTERZIARIO TURISMO; FEDERTERZIARIO', CONTRAENTISINDACALI = 'UGL TERZIARIO; UGL; ANCL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'H04G';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('H04T', 'CCNL settore Turismo: pubblici esercizi, ristorazione collettiva e commerciale; alberghi; stabilimenti balneari', 'H', 'UAI', 'FAILM', NULL);

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'HV17', DESCRIZIONE = 'CCNL vigilanza privata e servizi di sicurezza', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'ANIVP; ASSIV; UNIV; LEGACOOP PRODUZIONE E SERVIZI; AGCI SERVIZI; CONFCOOPERATIVE LAVORO E SERVIZI', CONTRAENTISINDACALI = 'FILCAMS CGIL; FISASCAT CISL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'HV17';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'I726', DESCRIZIONE = 'CCNL per gli ormeggiatori e barcaioli dei porti italiani', IDCNELSETTORE = 'I', CONTRAENTIDATORIALI = 'ANGOPI; LEGACOOP PRODUZIONE E SERVIZI; CONFCOOPERATIVE LAVORO E SERVIZI', CONTRAENTISINDACALI = 'FILT CGIL; FIT CISL; UILTRASPORTI UIL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'I726';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'K051', DESCRIZIONE = 'CCNL per i lavoratori addetti al settore elettrico', IDCNELSETTORE = 'K', CONTRAENTIDATORIALI = 'ELETTRICITA'' FUTURA CONFINDUSTRIA; UTILITALIA CONFSERVIZI; ENEL SPA; GSE SPA; SOGIN SPA; TERNA SPA; ENERGIA LIBERA CONFINDUSTRIA', CONTRAENTISINDACALI = 'FILCTEM CGIL; FLAEI CISL; UILTEC UIL;  CISAL FEDERENERGIA; CISAL (stipula su tavolo separato)', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'K051';

COMMIT WORK;



-- END Uniemens 4.20.1 del 31 luglio 2023



-- Fix segnalazione http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=13823

UPDATE INPS_EVENTO SET COPERTURA = '1' WHERE IDINPSEVENTO = 'MA1';

COMMIT WORK; -- skip error



-- Fix segnalazione http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=13843

UPDATE INPS_EVENTO SET COPERTURA = '1' WHERE IDINPSEVENTO = 'MA3';

COMMIT WORK; -- skip error



-- Aggiornamento dettaglio 346

---- Richiesto da Loredana Presciutti (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=13776)



INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('346', '33', NULL, '071', '1', '1', '1', NULL, '1', NULL);

COMMIT WORK; -- skip error



---- Minimo contrattuale (voce = 5)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('346', '4', '5', '01.07.2023', '7.980000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('346', '3', '5', '01.07.2023', '7.420000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('346', '2', '5', '01.07.2023', '6.670000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('346', '1', '5', '01.07.2023', '5.710000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK; -- skip error



---- EDR (voce = 6)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('346', '4', '7', '01.07.2023', '0.060000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('346', '3', '7', '01.07.2023', '0.060000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('346', '2', '7', '01.07.2023', '0.060000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('346', '1', '7', '01.07.2023', '0.060000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK; -- skip error



---- Contingenza (voce = 13)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('346', '4', '13', '01.07.2023', '3.010000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('346', '3', '13', '01.07.2023', '2.990000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('346', '2', '13', '01.07.2023', '2.980000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('346', '1', '13', '01.07.2023', '2.960000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK; -- skip error



---- Premio produzione (voce = 33)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('346', '4', '33', '01.07.2023', '1.580000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('346', '3', '33', '01.07.2023', '1.470000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('346', '2', '33', '01.07.2023', '1.320000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('346', '1', '33', '01.07.2023', '1.150000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK; -- skip error



-- END Aggiornamento dettaglio 346



-- Aggiornamento dettaglio 352

---- Richiesto da Giuseppe D'Asero (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=13810)



---- EDR

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', '4', '7', '01.07.2023', '0.060000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', '3', '7', '01.07.2023', '0.060000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', '2', '7', '01.07.2023', '0.060000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', '1', '7', '01.07.2023', '0.060000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', 'D1', '7', '01.07.2023', '0.050000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', 'D2', '7', '01.07.2023', '0.040000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



---- Paga base

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', '4', '8', '01.07.2023', '7.990000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', '3', '8', '01.07.2023', '7.420000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', '2', '8', '01.07.2023', '6.680000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', '1', '8', '01.07.2023', '5.710000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', 'D1', '8', '01.07.2023', '5.140000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', 'D2', '8', '01.07.2023', '4.570000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



---- Indennità di contingenza

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', '4', '13', '01.07.2023', '3.010000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', '3', '13', '01.07.2023', '3.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', '2', '13', '01.07.2023', '2.990000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', '1', '13', '01.07.2023', '2.960000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', 'D1', '13', '01.07.2023', '2.470000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', 'D2', '13', '01.07.2023', '2.470000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



---- Indennità territoriale di settore

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', '4', '43', '01.07.2023', '1.510000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', '3', '43', '01.07.2023', '1.390000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', '2', '43', '01.07.2023', '1.220000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', '1', '43', '01.07.2023', '1.040000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', 'D1', '43', '01.07.2023', '1.360000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('352', 'D2', '43', '01.07.2023', '1.210000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



-- END Aggiornamento dettaglio 352



-- Inserimento dettaglio 419

---- Richiesto da Giuseppe D'Asero (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=13810)



INSERT INTO CONTRATTODETTAGLIO (IDCONTRATTODETTAGLIO, IDINPSCONTRATTO, IDUNITAMISURA, DESCRIZIONE, EDR, TREDICESIMAMESE, TREDICESIMAGIORNO, QUATTORDICESIMAMESE, QUATTORDICESIMAGIORNO, ISTITUTOSCATTI, BANCAORE, STRAORDINARILIMITEOREANNO, STRAORDINARILIMITEOREMESE, STRAORDINARILIMITEORESETTIMANA, STRAORDINARILIMITEOREGIORNO, SCATTIMESE, SCATTINUMERO, CONTINGENZA, INTEGRAZCONGEDOMATR, ULTIMAMODIFICA, ULTIMAMODIFICAUSER, CUSTOM, NASCOSTO, IDCNELCONTRATTO) VALUES ('419', '068', '4', 'Impiegati edili Catania', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, '14.01.2011, 10:12:26.000', NULL, '0', NULL, 'F012');

COMMIT WORK;



INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('419', '8', NULL, '068', '1', '1', '1', NULL, NULL, NULL); -- Paga base

INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('419', '13', NULL, '068', '1', '1', '1', NULL, NULL, NULL); -- Indennità di contingenza

INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('419', '7', NULL, '068', '1', '1', '1', NULL, NULL, NULL); -- EDR

INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('419', '33', NULL, '068', '1', '1', '1', NULL, NULL, NULL); -- Premio di produzione

COMMIT WORK;



INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('419', '7', NULL, '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('419', '6', NULL, '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('419', '5', NULL, '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('419', '4', NULL, '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('419', '3', NULL, '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('419', '2', NULL, '068', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('419', '1', NULL, '068', NULL, NULL, NULL, NULL);

COMMIT WORK;



---- Paga base

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '7', '8', '01.07.2023', '1974.710000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '6', '8', '01.07.2023', '1777.230000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '5', '8', '01.07.2023', '1481.020000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '4', '8', '01.07.2023', '1382.310000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '3', '8', '01.07.2023', '1283.560000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '2', '8', '01.07.2023', '1155.210000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '1', '8', '01.07.2023', '987.360000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



---- Premio di produzione

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '7', '33', '01.07.2023', '370.920000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '6', '33', '01.07.2023', '336.550000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '5', '33', '01.07.2023', '278.770000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '4', '33', '01.07.2023', '253.780000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '3', '33', '01.07.2023', '230.820000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '2', '33', '01.07.2023', '206.930000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '1', '33', '01.07.2023', '177.110000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



---- Indennità di contingenza

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '7', '13', '01.07.2023', '533.820000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '6', '13', '01.07.2023', '529.630000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '5', '13', '01.07.2023', '523.350000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '4', '13', '01.07.2023', '521.250000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '3', '13', '01.07.2023', '519.160000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '2', '13', '01.07.2023', '516.430000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '1', '13', '01.07.2023', '512.870000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



---- EDR

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '7', '7', '01.07.2023', '10.330000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '6', '7', '01.07.2023', '10.330000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '5', '7', '01.07.2023', '10.330000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '4', '7', '01.07.2023', '10.330000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '3', '7', '01.07.2023', '10.330000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '2', '7', '01.07.2023', '10.330000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('419', '1', '7', '01.07.2023', '10.330000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



INSERT INTO CONTRATTORATEO (IDCONTRATTODETTAGLIO, IDRATEO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, NOTA) VALUES ('419', '1', '1', '0', NULL);

COMMIT WORK;



INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('419', '1', '1', NULL, '3', '4', '0.330000');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('419', '1', '3', NULL, '1', '4', '7.333330');

COMMIT WORK;



INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('419', '1', '', '25.00', '173.00', '5.00', '40.00', NULL, NULL, '2', '12', NULL, NULL, '12000', '', '14.01.2011, 10:11:38.000', NULL);

COMMIT WORK;



-- END Inserimento dettaglio 419



-- Modifiche contratti

UPDATE CONTRATTODETTAGLIO SET ULTIMAMODIFICA = NULL;

UPDATE CONTRATTODETTAGLIOLIVELLOVOCE SET DATAAGGIORNAMENTO = NULL;

-- END Modifiche contratti



-- Tabelle ANF 2023/2024



INSERT INTO INPS_ANFNOTA (IDNOTA, VALIDODAL, VALIDOAL, NOTA, DATAAGGIORNAMENTO) VALUES ('1', '01.07.2023', '30.06.2024', 'In caso di nuclei composti da più di 12 componenti, l''importo dell''assegno previsto alla colonna 7 va maggiorato di un ulteriore 10% nonchè di 67,95 euro per ogni componente oltre il settimo.', '08.08.2023');

INSERT INTO INPS_ANFNOTA (IDNOTA, VALIDODAL, VALIDOAL, NOTA, DATAAGGIORNAMENTO) VALUES ('2', '01.07.2023', '30.06.2024', NULL, '08.08.2023');

INSERT INTO INPS_ANFNOTA (IDNOTA, VALIDODAL, VALIDOAL, NOTA, DATAAGGIORNAMENTO) VALUES ('3', '01.07.2023', '30.06.2024', NULL, '08.08.2023');

INSERT INTO INPS_ANFNOTA (IDNOTA, VALIDODAL, VALIDOAL, NOTA, DATAAGGIORNAMENTO) VALUES ('4', '01.07.2023', '30.06.2024', NULL, '08.08.2023');

INSERT INTO INPS_ANFNOTA (IDNOTA, VALIDODAL, VALIDOAL, NOTA, DATAAGGIORNAMENTO) VALUES ('5', '01.07.2023', '30.06.2024', NULL, '08.08.2023');

INSERT INTO INPS_ANFNOTA (IDNOTA, VALIDODAL, VALIDOAL, NOTA, DATAAGGIORNAMENTO) VALUES ('6', '01.07.2023', '30.06.2024', NULL, '08.08.2023');

INSERT INTO INPS_ANFNOTA (IDNOTA, VALIDODAL, VALIDOAL, NOTA, DATAAGGIORNAMENTO) VALUES ('7', '01.07.2023', '30.06.2024', NULL, '08.08.2023');

COMMIT WORK;



INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('1', '29', '19', '01.07.2023', '30.06.2024', '0', '31569.47', '52.91', '98.00', '254.79', '411.60', '569.03', '725.84', '882.63', '1038.84', '1195.06', '1351.27', '1507.48', '1663.70', NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('2', '29', '19', '01.07.2023', '30.06.2024', '31569.48', '35413.24', '19.59', '82.97', '239.77', '385.46', '550.10', '718.00', '864.34', '1018.72', '1173.11', '1327.49', '1481.88', '1636.26', NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('3', '29', '19', '01.07.2023', '30.06.2024', '35413.25', '39258.49', NULL, '64.02', '209.72', '359.33', '523.96', '706.89', '849.31', '1002.19', '1155.07', '1307.95', '1460.83', '1613.72', NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('4', '29', '19', '01.07.2023', '30.06.2024', '39258.50', '43100.83', NULL, '37.88', '183.58', '332.54', '497.17', '691.87', '830.37', '981.36', '1132.34', '1283.33', '1434.32', '1585.31', NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('5', '29', '19', '01.07.2023', '30.06.2024', '43100.84', '46944.62', NULL, NULL, '156.79', '306.41', '478.87', '680.76', '811.43', '960.52', '1109.62', '1258.71', '1407.80', '1556.90', NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('6', '29', '19', '01.07.2023', '30.06.2024', '46944.63', '50787.63', NULL, NULL, '130.66', '276.35', '452.10', '661.82', '792.47', '939.67', '1086.86', '1234.06', '1381.26', '1528.46', NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('7', '29', '19', '01.07.2023', '30.06.2024', '50787.64', '54633.68', NULL, NULL, NULL, '250.22', '407.01', '635.68', '766.34', '910.92', '1055.51', '1200.09', '1344.68', '1489.26', NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('8', '29', '19', '01.07.2023', '30.06.2024', '54633.69', '58477.45', NULL, NULL, NULL, '224.08', '361.94', '609.54', '740.21', '882.18', '1024.15', '1166.12', '1308.09', '1450.07', NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('9', '29', '19', '01.07.2023', '30.06.2024', '58477.46', '62322.72', NULL, NULL, NULL, NULL, '316.86', '582.76', '721.27', '861.35', '1001.42', '1141.50', '1281.58', '1421.66', NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('10', '29', '19', '01.07.2023', '30.06.2024', '62322.73', '66165.78', NULL, NULL, NULL, NULL, NULL, '481.49', '695.13', '832.59', '970.06', '1107.52', '1244.98', '1382.45', NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('11', '29', '19', '01.07.2023', '30.06.2024', '66165.79', '70009.59', NULL, NULL, NULL, NULL, NULL, NULL, '578.84', '704.67', '830.51', '956.34', '1082.18', '1208.01', NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('1', '32', '20A', '01.07.2023', '30.06.2024', '0', '28196.41', NULL, NULL, '107.94', '156.23', '204.51', '252.80', '301.09', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('2', '32', '20A', '01.07.2023', '30.06.2024', '28196.42', '32037.93', NULL, NULL, '96.58', '136.35', '190.31', '244.29', '286.89', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('3', '32', '20A', '01.07.2023', '30.06.2024', '32037.94', '35883.20', NULL, NULL, '73.85', '116.46', '170.43', '238.60', '272.69', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('4', '32', '20A', '01.07.2023', '30.06.2024', '35883.21', '39726.98', NULL, NULL, '53.97', '96.58', '150.55', '224.40', '258.49', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('5', '32', '20A', '01.07.2023', '30.06.2024', '39726.99', '43571.53', NULL, NULL, '34.09', '73.85', '136.35', '218.72', '244.29', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('6', '32', '20A', '01.07.2023', '30.06.2024', '43571.54', '47415.29', NULL, NULL, '14.20', '53.97', '116.46', '204.51', '232.93', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('7', '32', '20A', '01.07.2023', '30.06.2024', '47415.30', '51259.12', NULL, NULL, NULL, '34.09', '82.38', '184.64', '210.20', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('8', '32', '20A', '01.07.2023', '30.06.2024', '51259.13', '55103.62', NULL, NULL, NULL, '14.20', '48.29', '164.75', '190.31', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('9', '32', '20A', '01.07.2023', '30.06.2024', '55103.63', '58945.89', NULL, NULL, NULL, NULL, '14.20', '142.02', '176.11', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('10', '32', '20A', '01.07.2023', '30.06.2024', '58945.90', '62791.21', NULL, NULL, NULL, NULL, NULL, '68.17', '156.23', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('11', '32', '20A', '01.07.2023', '30.06.2024', '62791.22', '66634.97', NULL, NULL, NULL, NULL, NULL, NULL, '68.17', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('1', '35', '20B', '01.07.2023', '30.06.2024', '0', '30757.41', NULL, '62.49', '107.94', '156.23', '204.51', '252.80', '301.09', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('2', '35', '20B', '01.07.2023', '30.06.2024', '30757.42', '34602.68', NULL, '48.29', '96.58', '136.35', '190.31', '244.29', '286.89', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('3', '35', '20B', '01.07.2023', '30.06.2024', '34602.69', '38446.48', NULL, '34.09', '73.85', '116.46', '170.43', '238.60', '272.69', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('4', '35', '20B', '01.07.2023', '30.06.2024', '38446.49', '42289.50', NULL, '14.20', '53.97', '96.58', '150.55', '224.40', '258.49', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('5', '35', '20B', '01.07.2023', '30.06.2024', '42289.51', '46132.53', NULL, NULL, '34.09', '73.85', '136.35', '218.72', '244.29', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('6', '35', '20B', '01.07.2023', '30.06.2024', '46132.54', '49977.06', NULL, NULL, '14.20', '53.97', '116.46', '204.51', '232.93', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('7', '35', '20B', '01.07.2023', '30.06.2024', '49977.07', '53821.63', NULL, NULL, NULL, '34.09', '82.38', '184.64', '210.20', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('8', '35', '20B', '01.07.2023', '30.06.2024', '53821.64', '57666.15', NULL, NULL, NULL, '14.20', '48.29', '164.75', '190.31', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('9', '35', '20B', '01.07.2023', '30.06.2024', '57666.16', '61511.47', NULL, NULL, NULL, NULL, '14.20', '142.02', '176.11', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('10', '35', '20B', '01.07.2023', '30.06.2024', '61511.48', '65355.23', NULL, NULL, NULL, NULL, NULL, '68.17', '156.23', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('11', '35', '20B', '01.07.2023', '30.06.2024', '65355.24', '69197.49', NULL, NULL, NULL, NULL, NULL, NULL, '68.17', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('1', '38', '21A', '01.07.2023', '30.06.2024', '0', '15381.52', NULL, '46.48', '82.63', '118.79', '154.94', '191.09', '227.24', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('2', '38', '21A', '01.07.2023', '30.06.2024', '15381.53', '19226.05', NULL, '36.15', '72.30', '103.29', '144.61', '185.92', '216.91', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('3', '38', '21A', '01.07.2023', '30.06.2024', '19226.06', '23070.59', NULL, '25.82', '56.81', '87.80', '129.11', '180.76', '206.58', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('4', '38', '21A', '01.07.2023', '30.06.2024', '23070.60', '26913.64', NULL, '10.33', '41.32', '72.30', '113.62', '170.43', '196.25', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('5', '38', '21A', '01.07.2023', '30.06.2024', '26913.65', '30757.41', NULL, NULL, '25.82', '56.81', '103.29', '165.27', '185.92', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('6', '38', '21A', '01.07.2023', '30.06.2024', '30757.42', '34602.68', NULL, NULL, '10.33', '41.32', '87.80', '154.94', '175.60', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('7', '38', '21A', '01.07.2023', '30.06.2024', '34602.69', '38446.48', NULL, NULL, NULL, '25.82', '61.97', '139.44', '160.10', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('8', '38', '21A', '01.07.2023', '30.06.2024', '38446.49', '42289.50', NULL, NULL, NULL, '10.33', '36.15', '123.95', '144.61', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('9', '38', '21A', '01.07.2023', '30.06.2024', '42289.51', '46132.53', NULL, NULL, NULL, NULL, '10.33', '108.46', '134.28', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('10', '38', '21A', '01.07.2023', '30.06.2024', '46132.54', '49977.06', NULL, NULL, NULL, NULL, NULL, '51.65', '118.79', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('11', '38', '21A', '01.07.2023', '30.06.2024', '49977.07', '53821.63', NULL, NULL, NULL, NULL, NULL, NULL, '51.65', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('1', '41', '21B', '01.07.2023', '30.06.2024', '0', '17944.04', NULL, '46.48', '82.63', '118.79', '154.94', '191.09', '227.24', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('2', '41', '21B', '01.07.2023', '30.06.2024', '17944.05', '21789.34', NULL, '36.15', '72.30', '103.29', '144.61', '185.92', '216.91', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('3', '41', '21B', '01.07.2023', '30.06.2024', '21789.35', '25631.61', NULL, '25.82', '56.81', '87.80', '129.11', '180.76', '206.58', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('4', '41', '21B', '01.07.2023', '30.06.2024', '25631.62', '29475.41', NULL, '10.33', '41.32', '72.30', '113.62', '170.43', '196.25', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('5', '41', '21B', '01.07.2023', '30.06.2024', '29475.42', '33321.44', NULL, NULL, '25.82', '56.81', '103.29', '165.27', '185.92', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('6', '41', '21B', '01.07.2023', '30.06.2024', '33321.45', '37165.20', NULL, NULL, '10.33', '41.32', '87.80', '154.94', '175.60', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('7', '41', '21B', '01.07.2023', '30.06.2024', '37165.21', '41009.75', NULL, NULL, NULL, '25.82', '61.97', '139.44', '160.10', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('8', '41', '21B', '01.07.2023', '30.06.2024', '41009.76', '44852.05', NULL, NULL, NULL, '10.33', '36.15', '123.95', '144.61', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('9', '41', '21B', '01.07.2023', '30.06.2024', '44852.06', '48696.57', NULL, NULL, NULL, NULL, '10.33', '108.46', '134.28', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('10', '41', '21B', '01.07.2023', '30.06.2024', '48696.58', '52541.11', NULL, NULL, NULL, NULL, NULL, '51.65', '118.79', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('11', '41', '21B', '01.07.2023', '30.06.2024', '52541.12', '56385.65', NULL, NULL, NULL, NULL, NULL, NULL, '51.65', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('1', '44', '21C', '01.07.2023', '30.06.2024', '0', '28196.41', NULL, '51.13', '90.89', '130.67', '170.43', '210.20', '249.96', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('2', '44', '21C', '01.07.2023', '30.06.2024', '28196.42', '32037.93', NULL, '39.77', '79.53', '113.62', '159.07', '204.51', '238.60', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('3', '44', '21C', '01.07.2023', '30.06.2024', '32037.94', '35883.20', NULL, '28.40', '62.49', '96.58', '142.02', '198.84', '227.24', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('4', '44', '21C', '01.07.2023', '30.06.2024', '35883.21', '39726.98', NULL, '11.36', '45.45', '79.53', '124.98', '187.47', '215.88', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('5', '44', '21C', '01.07.2023', '30.06.2024', '39726.99', '43571.53', NULL, NULL, '28.40', '62.49', '113.62', '181.80', '204.51', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('6', '44', '21C', '01.07.2023', '30.06.2024', '43571.54', '47415.29', NULL, NULL, '11.36', '45.45', '96.58', '170.43', '193.16', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('7', '44', '21C', '01.07.2023', '30.06.2024', '47415.30', '51259.12', NULL, NULL, NULL, '28.40', '68.17', '153.38', '176.11', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('8', '44', '21C', '01.07.2023', '30.06.2024', '51259.13', '55103.62', NULL, NULL, NULL, '11.36', '39.77', '136.35', '159.07', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('9', '44', '21C', '01.07.2023', '30.06.2024', '55103.63', '58945.89', NULL, NULL, NULL, NULL, '11.36', '119.31', '147.71', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('10', '44', '21C', '01.07.2023', '30.06.2024', '58945.90', '62791.21', NULL, NULL, NULL, NULL, NULL, '56.82', '130.67', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('11', '44', '21C', '01.07.2023', '30.06.2024', '62791.22', '66634.97', NULL, NULL, NULL, NULL, NULL, NULL, '56.82', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('1', '47', '21D', '01.07.2023', '30.06.2024', '0', '30757.41', NULL, '51.13', '90.89', '130.67', '170.43', '210.20', '249.96', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('2', '47', '21D', '01.07.2023', '30.06.2024', '30757.42', '34602.68', NULL, '39.77', '79.53', '113.62', '159.07', '204.51', '238.60', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('3', '47', '21D', '01.07.2023', '30.06.2024', '34602.69', '38446.48', NULL, '28.40', '62.49', '96.58', '142.02', '198.84', '227.24', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('4', '47', '21D', '01.07.2023', '30.06.2024', '38446.49', '42289.50', NULL, '11.36', '45.45', '79.53', '124.98', '187.47', '215.88', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('5', '47', '21D', '01.07.2023', '30.06.2024', '42289.51', '46132.53', NULL, NULL, '28.40', '62.49', '113.62', '181.80', '204.51', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('6', '47', '21D', '01.07.2023', '30.06.2024', '46132.54', '49977.06', NULL, NULL, '11.36', '45.45', '96.58', '170.43', '193.16', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('7', '47', '21D', '01.07.2023', '30.06.2024', '49977.07', '53821.63', NULL, NULL, NULL, '28.40', '68.17', '153.38', '176.11', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('8', '47', '21D', '01.07.2023', '30.06.2024', '53821.64', '57666.15', NULL, NULL, NULL, '11.36', '39.77', '136.35', '159.07', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('9', '47', '21D', '01.07.2023', '30.06.2024', '57666.16', '61511.47', NULL, NULL, NULL, NULL, '11.36', '119.31', '147.71', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('10', '47', '21D', '01.07.2023', '30.06.2024', '61511.48', '65355.23', NULL, NULL, NULL, NULL, NULL, '56.82', '130.67', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

INSERT INTO INPS_CLASSEANF (IDCLASSEANF, IDINPSTIPOANF2, IDINPSTIPOANF, VALIDODAL, VALIDOAL, REDDITODA, REDDITOA, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, C11, C12, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('11', '47', '21D', '01.07.2023', '30.06.2024', '65355.24', '69197.49', NULL, NULL, NULL, NULL, NULL, NULL, '56.82', NULL, NULL, NULL, NULL, NULL, NULL, '08.08.2023');

COMMIT WORK;



-- END Tabelle ANF 2023/2024



INSERT INTO ISTAT_FOI (ANNO, MESE, INDICE, BASE) VALUES ('2023', '7', '118.700000', '2015');

COMMIT WORK; -- skip error



INSERT INTO ISTAT_FOI (ANNO, MESE, INDICE, BASE) VALUES ('2023', '8', '119.100000', '2015');

COMMIT WORK;



UPDATE ELEMENTORETRIBUTIVO SET IDENTEPREVIDENZIALE = 1 WHERE IDELEMENTO = 2410;

COMMIT WORK; -- skip error



UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE = 'Assenza non retribuita (assogg. Inps)', DESCRIZIONE2 = 'Assenza non retribuita (assogg. Inps)' WHERE IDELEMENTO = '2409';

UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE = 'Assenza non retribuita (figurativo assogg. Inps)', DESCRIZIONE2 = 'Assenza non retribuita (assogg. Inps)' WHERE IDELEMENTO = '2410';

UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE = 'Assenza non giustificata', DESCRIZIONE2 = 'Assenza non giustificata' WHERE IDELEMENTO = '2402';

UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE = 'Assenza non giustificata (figurativo)', DESCRIZIONE2 = 'Assenza non giustificata' WHERE IDELEMENTO = '2403';

COMMIT WORK;



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                PRESENZE                              ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/presenze.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



ALTER TABLE FESTIVITA ADD IDPROVINCIA VARCHAR(4);

COMMIT WORK;



ALTER TABLE FESTIVITA ADD Attivo Booleanint;

COMMIT WORK;



-- Festa del commercio Milano, Lodi, Monza e Brianza (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=13826)



---- Milano

INSERT INTO FESTIVITA (IDFESTIVITA, IDTIPOFESTIVITA, IDCALENDARIO, IDCOMUNE, IDPROVINCIA, IDCONTRATTODETTAGLIO, PERIODICA, GIORNO, MESE, ANNO, DESCRIZIONE, NOTE) VALUES ('81', '50', '1', NULL, '015', '117', '1', '16', '8', NULL, 'Festa del commercio', NULL);

INSERT INTO FESTIVITA (IDFESTIVITA, IDTIPOFESTIVITA, IDCALENDARIO, IDCOMUNE, IDPROVINCIA, IDCONTRATTODETTAGLIO, PERIODICA, GIORNO, MESE, ANNO, DESCRIZIONE, NOTE) VALUES ('82', '50', '1', NULL, '015', '187', '1', '16', '8', NULL, 'Festa del commercio', NULL);

COMMIT WORK; -- skip error



---- Lodi

INSERT INTO FESTIVITA (IDFESTIVITA, IDTIPOFESTIVITA, IDCALENDARIO, IDCOMUNE, IDPROVINCIA, IDCONTRATTODETTAGLIO, PERIODICA, GIORNO, MESE, ANNO, DESCRIZIONE, NOTE) VALUES ('83', '50', '1', NULL, '098', '117', '1', '16', '8', NULL, 'Festa del commercio', NULL);

INSERT INTO FESTIVITA (IDFESTIVITA, IDTIPOFESTIVITA, IDCALENDARIO, IDCOMUNE, IDPROVINCIA, IDCONTRATTODETTAGLIO, PERIODICA, GIORNO, MESE, ANNO, DESCRIZIONE, NOTE) VALUES ('84', '50', '1', NULL, '098', '187', '1', '16', '8', NULL, 'Festa del commercio', NULL);

COMMIT WORK; -- skip error



---- Monza e Brianza

INSERT INTO FESTIVITA (IDFESTIVITA, IDTIPOFESTIVITA, IDCALENDARIO, IDCOMUNE, IDPROVINCIA, IDCONTRATTODETTAGLIO, PERIODICA, GIORNO, MESE, ANNO, DESCRIZIONE, NOTE) VALUES ('85', '50', '1', NULL, '108', '117', '1', '16', '8', NULL, 'Festa del commercio', NULL);

INSERT INTO FESTIVITA (IDFESTIVITA, IDTIPOFESTIVITA, IDCALENDARIO, IDCOMUNE, IDPROVINCIA, IDCONTRATTODETTAGLIO, PERIODICA, GIORNO, MESE, ANNO, DESCRIZIONE, NOTE) VALUES ('86', '50', '1', NULL, '108', '187', '1', '16', '8', NULL, 'Festa del commercio', NULL);

COMMIT WORK; -- skip error



-- END Festa del commercio Milano, Lodi, Monza e Brianza



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                END                                   ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS